Post Multiple Quizzes
POST
/api/v1/quizzes
const url = 'https://example.com/api/v1/quizzes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"data":{"additionalProperty":{}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/quizzes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "data": { "additionalProperty": {} } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ConsumedMultipleQuizzesRequest
object
data
required
Data
object
key
additional properties
Any of:
object
key
additional properties
any
Array<object>
object
key
additional properties
any
Examplegenerated
{ "data": { "additionalProperty": {} }}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
HeaderPaginatedResponse[ProducedQuizResponse]
object
status
JSendStatus
string
message
Message
string
code
Code
string
data
required
Data
Array<object>
ProducedQuizResponseSchema of the quiz response when a call to POST / GET / PATCH is done. Represent the quiz submitted by user_id for the given strapi_quiz_id. It contains the quiz itself + the possible choices + the user response in the data field. The data field has no format specification for the moment.
object
id
required
Id
string format: uuid
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
user_id
required
User Id
string
strapi_quiz_id
required
Strapi Quiz Id
string
data
required
Data
object
key
additional properties
any
pagination
required
JSendPagination
Pagination information
object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer
Example
{ "status": "success", "message": "OK.", "code": "200"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}